var data = {
    token: ''
};
var u = navigator.userAgent,
    isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1,
    isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
var api = {
    apiUrl: {
        "sayGood": "https://zsdzapi.dzrbs.com/api/PostsV110/SayReplyGoodForWeb?ReplyId={ReplyId}&UserInfoId={UserInfoId}",//评论点赞
        "collect": "https://zsdzapi.dzrbs.com/api/PostsV110/EnshrinePostsByHttpGet?PostsId={postsid}",
        "sayGoodPosts": "https://zsdzapi.dzrbs.com/api/PostsV110/SayGoodForWeb?PostsId={PostsId}",//帖子点赞
    },
    //apiUrl: {
    //    "sayGood": "http://dzapi.xiaodingkeji.com/api/PostsV110/SayReplyGoodForWeb?ReplyId={ReplyId}&UserInfoId={UserInfoId}",//评论点赞
    //    "collect": "http://dzapi.xiaodingkeji.com/api/PostsV110/EnshrinePostsByHttpGet?PostsId={postsid}",
    //    "sayGoodPosts": "http://dzapi.xiaodingkeji.com/api/PostsV110/SayGoodForWeb?PostsId={PostsId}",//帖子点赞
    //},
    ajax: function (url, type, ajaxData, callback) {
        type == null ? 'GET' : type;
        $.ajax({
            type: type,
            url: url + "&json=true&token=" + escape(data.token),
            dateType: 'json',
            async: false,
            data: ajaxData,
            success: function (data) {
                callback(data);
            },
            error: function () {
                alert("服务器不在服务区");
            }
        })
    },
    connectWebViewJavascriptBridge: function (callback) {
        var obj = window.ZMBridge;
        if (isiOS) {
            obj = window.webkit.messageHandlers;
        } else {
            obj = window.ZMBridge;
        }
        if (obj) {
            callback(obj)
        } else {
            document.addEventListener('ZMBridgeReady', function () {
                callback(obj)
            }, false)
        }
    },
    base64Decode: function (str) {
        return decodeURIComponent(escape(window.atob(str)));
    },
    getUser: function () {
        return JSON.parse(api.base64Decode(data.token));
    },
    CheckLogin: function () {
        if (data.token == null || data.token == '' || data.token == '(null)') {
            this.connectWebViewJavascriptBridge(function (bridge) {
                if (isiOS) {
                    bridge.login.postMessage(0);
                } else {
                    bridge.login();
                }
            });
            return false;
        }
        return true;
    },
    viewPicture: function (index) {
        this.connectWebViewJavascriptBridge(function (bridge) {
            if (isiOS) {
                bridge.viewPicture.postMessage({ imageArr: this.data.originalImage, index: index });
            } else {
                bridge.viewPicture(this.data.originalImage, index);
            }
        });
    },
    pushToUser: function (userInfoId) {
        this.connectWebViewJavascriptBridge(function (bridge) {
            if (isiOS) {
                bridge.pushToUser.postMessage(userInfoId);
            } else {
                bridge.pushToUser(userInfoId);
            }
        });
    },
    pushToTopic: function (topicId) {
        this.connectWebViewJavascriptBridge(function (bridge) {
            if (isiOS) {
                bridge.pushToTopic.postMessage(topicId);
            } else {
                bridge.pushToTopic(topicId);
            }
        });
    },

    showReply: function (postsId) {
        this.connectWebViewJavascriptBridge(function (bridge) {
            if (isiOS) {
                bridge.showReply.postMessage({ articleId: postsId, articleProperty: 1 });
                //bridge.showReply.postMessage(postsId);
            } else {
                bridge.showReply(postsId);
            }
        });
    },
    loadHtml: function () {
        $("#headerImage").attr("src", data.userinfo.headerImage);
        $("#nickname").html(data.userinfo.nickname);
        //var createDate = data.createDate.replace(/-/g, '/');//formatDate(new Date(data.createDate.replace(/-/g, '/')));
        $("#createDate").html(data.createDate);
        $("#address").html(data.address);
        $("#detail").html(data.detail);
        $("#commentCount").html(data.commentCount);
        $("#hotComment").hide();
        $("#topicTitle").text("#" + data.topicTitle + "#");
        $("#headerImage").error(function () {
            console.log($(this).attr('src'));
            $(this).attr('src', "user_30.png");
        })
        if (data.compressImage != null && data.compressImage.length > 0) {

            $("#postsImage").addClass("piclist-" + data.compressImage.length);
            if (data.videoUrl != undefined && data.videoUrl != null && data.videoUrl.length > 0) {
                //$("#postsImage").append('<li><video style="width:100%"  src="' + data.videoUrl + '" poster="' + data.videoFaceImg + '" ></video></li>');
                $("#postsImage").append('<li><div class="js-video" data-src="' + data.videoUrl + '" data-poster="' + data.videoFaceImg + '"><img src="' + data.videoFaceImg+'"></div></li>');
            } else if (data.compressImage.length == 1) {
                $("#postsImage").append('<li><img class="j-browse2 j-lazy z-loaded" src="' + data.originalImage[0] + '"><a class="f-link" onclick="api.viewPicture(' + 0 + ')"></a></li>');
            } else {
                for (var i = 0; i < data.compressImage.length; i++) {
                    $("#postsImage").append('<li><img class="j-browse2 j-lazy z-loaded" src="' + data.compressImage[i] + '"><a class="f-link" onclick="api.viewPicture(' + i + ')"></a></li>');
                }
            }
        }
        var $this = this;
        if (data.commentCount > 10) {
            $(".more").show();
            $(".more").click(function () {
                $this.showReply(data.postsId);
            });
        }
        //点赞列表
        if (data.sayGoodUsers == null || data.sayGoodUsers.length <= 0) {
            $("#likeInfo").hide();
            //$(".sayGood").hide();
        } else {
            $("#likeInfo").show();
            $(".sayGood").show();
            for (var l = 0; l < data.sayGoodUsers.length; l++) {
                var like = data.sayGoodUsers[l];
                $("#likeInfo").append('<li><img class="js_viewUser" src="' + like.HeaderImage + '" onclick="api.pushToUser(' + like.Id + ')"/></li>');
            }
            if (data.sayGoodUsers.length < data.onlookerCount) {
                $("#likeInfo").append('<li><img src="Group@2x.png" /></li>');
            }
            $("#sayGoodCount").html(data.onlookerCount);
            if (data.onlookerCount <= 0) {
                $("#goodNumber").hide();
            }
            if (data.isSayGood) {
                $("#sayGood").addClass("isGood");
                $("#sayGoodImg").attr("src", "zan_yes@2x.png");
            }
            //$("#likeInfo").append('<li><p>' + data.onlookerCount + '赞</p></li>');
        }

        if (data.reply == null || data.reply.length <= 0) {
            $(".noncomment").show();
            $("#hotComment").hide();
        } else {
            $(".noncomment").hide();
            for (var c = 0; c < data.reply.length; c++) {
                var comment = data.reply[c];
                //var date = formatDate(new Date(comment.createDate.replace(/-/g, '/')));
                //var date = comment.createDate.replace(/-/g, '/');
                $("#commentList").append(
                    '<li>'
                    + '<div class="pro">'
                    + '<div class="face">'
                    + '<a href="javascript:;" onclick="api.pushToUser(' + comment.userinfoId + ')"><img class="f-img j-lazy j_userImg" src="' + comment.headerImage + '"/></a>'
                    // +'<span class="auth u-authicn u-authicn-yyr"></span><span class="auth u-authicn u-authicn-v"></span><span class="auth u-authicn u-authicn-daren"></span>'
                    + '</div>'
                    + '<div class="nt">'
                    + '<a href="javascript:;"><div class="na f-thide">' + comment.nickname + '</div></a><span class="ti">' + comment.createDate + '</span>'
                    + '</div>'
                    + '<a href="javascript:;" class="' + (comment.isSayGood ? 'za-1' : 'za') + '" id="SayGoodCount' + comment.Id + '" onclick="postSayGood(' + comment.Id + ',' + data.userInfoId + ')">' + (comment.sayGoodCount > 0 ? comment.sayGoodCount : '') + '</a>'
                    + '<a href="javascript:;" class="reply" onclick="postReplay(' + data.postsId + ',' + comment.Id + ',\'' + comment.nickname + '\')"></a>'
                    + '</div>'
                    + '<div class="msg f-bd">' + (comment.repliedNickName.length > 0 ? '回复<em class="replyName">' + comment.repliedNickName + '</em>：' : '') + comment.replyContent + '</div>'
                    + '</li>'
                );
            }
            $(".j_userImg").error(function () {
                $(this).attr('src', "user_30.png");
            })
        }
        $(".js-video").on("click", function (e) {
            try {
                //e.preventDefault(); e.stopPropagation();
                var src = $(this).data("src"), poster = $(this).data("poster");
                api.connectWebViewJavascriptBridge(function (bridge) {
                    if (isiOS) {
                        bridge.playPopup.postMessage({ src: src, poster: poster });
                    } else {
                        bridge.playPopup(src, poster);
                    }
                });
            }
            catch (e) {
                alert(e);
            }
        });
    }
}
$(function () {
    try {
    //    load('{"canReplyDepartmentUser":false,"postsId":24,"detail":"测试","address":"火星","commentCount":0,"createDate":"03-10 16:59","topicId":3,"topicTitle":"养生","onlookerCount":0,"stickIndex":0,"url":"","viewCount":19,"distance":0,"userinfo":{"Id":59,"nickname":"谢谢","headerImage":"https:\/\/zsdzres.dzrbs.com\/android_img202303101711582p9e0.jpg","backgroundImage":"https:\/\/zsdzres.dzrbs.com\/android_img202303101712064mghj.jpg","sex":0,"address":"","career":"","hometown":"","loginSession":"","userDesc":"","score":0,"birthday":"","city":0,"cityName":"","school":"","company":"","rcToken":"iB1USnOqnkiW3G7DKTz2akuMTgbZRVoE03j+MlXpFfvM9WCltO4HBHou9YPHOQaJWvCbSww21XVXFoU8N3QNyWfZkkwdu1YO","rcUserId":"xiaoding_3","constellation":"","age":0,"phone":null,"userType":2,"role":null,"profile":0},"isSayGood":false,"isEnshrined":false,"compressImage":["https:\/\/zsdzres.dzrbs.com\/android_img202303101658463n6n7.jpg*$*1.739?imageMogr2\/thumbnail\/278x278!"],"originalImage":["https:\/\/zsdzres.dzrbs.com\/android_img202303101658463n6n7.jpg*$*1.739"],"postsVote":[],"reply":[],"sayGoodUsers":null,"videoFaceImg":"https:\/\/zsdzres.dzrbs.com\/android_img202303101658463n6n7.jpg*$*1.739","videoUrl":"https:\/\/zsdzres.dzrbs.com\/android_video20230310165804lj6xd.mp4","replyCount":0,"webContent":"下载“掌上达州”，天天收红包\/福利。","webTitle":"测试","webUrl":"http:\/\/111.231.0.251:8032\/Share\/PostShare?Id=24","webImage":"https:\/\/zsdzres.dzrbs.com\/android_img202303101658463n6n7.jpg*$*1.739"}'
    //        , '94-89-A0-25-56-FE-A9-1D-E3-2E-F2-88-76-C8-51-3F-4B-74-8A-87-3C-C8-C5-45-BB-80-9E-40-B6-6B-2F-30', 0);
    }
    catch (error) {
        alert(error);
    }
    setTimeout(function () { $("#mainBox").show("slow"); });
})
function load(model, token, userInfoId) {
    try {
        if (typeof (model) == "string") {
            data = JSON.parse(model.replace(/\r\n/g, '<br />').replace(/\n/g, '<br />').replace(/'/g, "\'"));
        } else {
            data = model;
        }
        data.token = token;
        data.userInfoId = userInfoId;
        api.loadHtml();
        $("#touser").click(function () {
            api.pushToUser(data.userinfo.Id);
        })
        $(".toTopic,.topic").click(function () {
            api.pushToTopic(data.topicId);
        })
    } catch (error) {
        //alert(error);
    }
}
function InsertComment(ReplyId, UserId, HeaderImg, NickName, CreateDate, Content, ReplyUserNickName) {
    var date = new Date(CreateDate * 1000);
    $("#commentList").prepend(
        '<li>'
        + '<div class="pro">'
        + '<div class="face">'
        + '<a href="javascript:;" onclick="api.pushToUser(' + UserId + ')"><img class="f-img j-lazy" src="' + HeaderImg + '" /></a>'
        + '</div>'
        + '<div class="nt">'
        + '<a href="javascript:;"><div class="na f-thide">' + NickName + '</div></a><span class="ti">' + formatDate(date) + '</span>'
        + '</div>'
        + '<a href="javascript:;" class="za" id="SayGoodCount' + ReplyId + '" onclick="postSayGood(' + ReplyId + ',' + data.userInfoId + ')">赞</a>'
        + '<a href="javascript:;" class="reply" onclick="postReplay(' + data.postsId + ',' + ReplyId + ',\'' + NickName + '\')"></a>'
        + '</div>'
        + '<div class="msg f-bd">' + (ReplyUserNickName != null && ReplyUserNickName.length > 0 ? '回复<em class="replyName">' + ReplyUserNickName + '</em>：' : '') + Content + '</div>'
        + '</li>'
    );
}

function postReplay(postsId, replyId, nickname) {
    if (api.CheckLogin()) {
        api.connectWebViewJavascriptBridge(function (bridge) {
            if (isiOS) {
                bridge.postReplay.postMessage({ postsId: postsId, replyId: replyId, nickname: nickname });
            } else {
                bridge.postReplay(postsId, replyId, nickname);
            }
        });
    }
}

function postSayGood(replyId, userInfoId) {
    if (api.CheckLogin()) {
        var sayGoodCount = parseInt($("#SayGoodCount" + replyId).text());
        var geturl = api.apiUrl.sayGood;
        geturl = geturl.replace('{ReplyId}', replyId);
        geturl = geturl.replace('{UserInfoId}', userInfoId);
        api.ajax(geturl, 'GET', {}, function (data) {
            if (data.success) {
                alert("点赞成功");
                $("#SayGoodCount" + replyId).removeClass("za").addClass("za-1");
                if (isNaN(sayGoodCount)) {
                    $("#SayGoodCount" + replyId).text("1");
                }
                else {
                    $("#SayGoodCount" + replyId).text(Number(sayGoodCount) + 1);
                }
            } else {
                alert(data.message);
            }
        });
    }
}
function sayGoodsPost() {
    if (api.CheckLogin()) {
        //var sayGoodCount = parseInt($("#sayGoodCount").text());
        var geturl = api.apiUrl.sayGoodPosts;
        geturl = geturl.replace('{PostsId}', data.postsId);
        api.ajax(geturl, 'GET', {}, function (response) {
            if (response.success) {
                alert(response.message);
                if (data.isSayGood) {
                    data.isSayGood = false;
                    data.onlookerCount = data.onlookerCount - 1;
                } else {
                    data.isSayGood = true;
                    data.onlookerCount = data.onlookerCount + 1;
                }
                $("#sayGoodCount").text(data.onlookerCount);
                if (data.onlookerCount <= 0) {
                    $("#goodNumber").hide();
                }
                if (data.isSayGood) {
                    $("#sayGood").addClass("isGood");
                    $("#sayGoodImg").attr("src", "zan_yes@2x.png");
                } else {
                    $("#sayGood").removeClass("isGood");
                    $("#sayGoodImg").attr("src", "zan@2x.png");
                }
            } else {
                alert(response.message);
            }
        });
    }
}

function formatDate(now) {
    var year = now.getFullYear();
    var month = now.getMonth() + 1;
    var date = now.getDate();
    var hour = now.getHours();
    var minute = now.getMinutes();
    var second = now.getSeconds();
    return year + "-" + (month < 10 ? "0" + month : month) + "-" + (date < 10 ? "0" + date : date) + " " + (hour < 10 ? "0" + hour : hour) + ":" + (minute < 10 ? "0" + minute : minute) + ":" + (second < 10 ? "0" + second : second);
}
var MessageQuee = [];
function alert(message) {
    for (var i = 0; i < MessageQuee.length; i++) {
        $("#" + MessageQuee[i]).remove();
    }
    var id = "alert_" + Math.floor(Math.random() * (1000 + 1));
    MessageQuee.push(id);
    $("body").prepend('<div id="' + id + '" class="alertMessage" >' + message + '</div>');
    setTimeout(function () { $("#" + id).remove(); }, 3000);
};
